package enum

type SysCfg string

const (
	AppInviteType   = "app_invite_type"
	AppInviteLength = "app_invite_length"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppInviteType:
		return "App邀请码设置（1数字；2数字+字母）"
	case AppInviteLength:
		return "App邀请码长度"

	default:
		return "未知"
	}
}

// VideoReward 视频激励设置
type VideoReward string

const (
	VideoRewardUnitPrice = "video_reward_unit_price"
	VideoRewardECPM      = "video_reward_ecpm"
)

func (gt VideoReward) String() string {
	switch gt {
	case VideoRewardUnitPrice:
		return "激励视频单价"
	case VideoRewardECPM:
		return "激励视屏ecpm值"

	default:
		return "未知"
	}
}

// AliyunOss 阿里云对象存储枚举类
type AliyunOss string

const (
	AliyunOssEndpoint        = "oss_endpoint"
	AliyunOssBucketName      = "oss_bucket_name"
	AliyunOssBucketScheme    = "oss_bucket_scheme"
	AliyunOssAccessKeyID     = "oss_access_key_id"
	AliyunOssAccessKeySecret = "oss_access_key_secret"
	AliyunOssDomain          = "oss_domain"
)

func (gt AliyunOss) String() string {
	switch gt {
	case AliyunOssEndpoint:
		return "oss地域节点"
	case AliyunOssBucketName:
		return "oss存储桶名称"
	case AliyunOssBucketScheme:
		return "oss上传方式"
	case AliyunOssAccessKeyID:
		return "oss访问秘钥id"
	case AliyunOssAccessKeySecret:
		return "oss访问秘钥"
	case AliyunOssDomain:
		return "oss域名"

	default:
		return "未知"
	}
}
