package md

const EggEnergyUserEggScoreEsAlias = "egg_energy_user_egg_score"

const EggEnergyUserEggScoreEsMapping = `
{ 
	"settings" : {
      "number_of_shards" : 2,
      "number_of_replicas" : 1 
    },
    "aliases": {
      "egg_energy_user_egg_score": {}
	},
	"mappings":{
		"properties":{
			"uid":{
				"type": "integer"
			},
			"score_value":{
				"type": "float"
			},
			"score_value_kind":{
				"type": "short"
			},
			"ecpm":{
				"type": "float"
			},
			"invite_user_nums":{
				"type": "integer"
			},
			"team_activity_nums":{
				"type": "integer"
			},
			"sign_in_nums":{
				"type": "short"
			},
			"im_activity_nums":{
				"type": "short"
			},
			"send_red_package_nums":{
				"type": "short"
			},
			"egg_energy_exchange_account_balance":{
				"type": "integer"
			},
			"account_balance_exchange_egg_energy_nums":{
				"type": "integer"
			},
			"send_circle_of_friend_nums":{
				"type": "short"
			},
			"forum_comments_nums":{
				"type": "integer"
			},
			"college_learning_nums":{
				"type": "short"
			},
			"violate_nums":{
				"type": "short"
			},
			"browse_interface_nums":{
				"type": "integer"
			},
			"person_add_activity_value":{
				"type": "integer"
			},
			"created_at":{
				"type": "date",
         		"format": "yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis"
			},
			"updated_at":{
				"type": "date",
         		"format": "yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis"
			}
		}
	}
}`

type EggEnergyUserEggScoreEs struct {
	Uid                                 int64   `json:"uid" label:"uid"`
	ScoreValue                          float64 `json:"score_value"  label:"蛋蛋分值"`
	ScoreValueKind                      int32   `json:"score_value_kind" label:"评分类型(0:未知 1:人工 2:系统)"`
	Ecpm                                float64 `json:"ecpm" label:"ecpm"`
	InviteUserNums                      int     `json:"invite_user_nums" label:"拉新人数"`
	TeamActivityNums                    int     `json:"team_activity_nums" label:"团队活跃次数"`
	SignInNums                          int     `json:"sign_in_nums" label:"签到次数"`
	ImActivityNums                      int     `json:"im_activity_nums" label:"im活跃次数"`
	SendRedPackageNums                  int     `json:"send_red_package_nums" label:"发红包次数"`
	EggEnergyExchangeAccountBalance     int     `json:"egg_energy_exchange_account_balance" label:"蛋蛋能量兑换余额数量"`
	AccountBalanceExchangeEggEnergyNums int     `json:"account_balance_exchange_egg_energy_nums" label:"余额兑换蛋蛋能量数量"`
	SendCircleOfFriendNums              int     `json:"send_circle_of_friend_nums" label:"发朋友圈次数"`
	ForumCommentsNums                   int     `json:"forum_comments_nums" label:"论坛评论次数"`
	CollegeLearningNums                 int     `json:"college_learning_nums" label:"学院学习次数"`
	ViolateNums                         int     `json:"violate_nums" label:"违规次数"`
	BrowseInterfaceNums                 int     `json:"browse_interface_nums" label:"浏览界面次数"`
	PersonAddActivityValue              int     `json:"person_add_activity_value" label:"个人活跃积分"`
	CreatedAt                           string  `json:"created_at"`
	UpdatedAt                           string  `json:"updated_at"`
}
